.word-management {
  display: grid;
  grid-template-columns: 1fr 255px;
  column-gap: 64px;
  height: 75vh;

  &__left {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    overflow: hidden;

    &__p {
      display: flex;
      white-space: pre;
      word-break: break-all;
      flex-wrap: wrap;
      overflow-y: auto;

      span {
        padding: 0 1px;
        margin: 2px 1px;
        cursor: pointer;
        border-radius: 4px;
        line-height: 26px;
        font-size: 16px;
        color: rgba($color: #000000, $alpha: 0.7);

        &:hover {
          opacity: 0.8;

          background-color: #dddddd;
        }

        &.word-selected {
          background-color: rgba($color: #eb5757, $alpha: 0.4);
        }
      }
    }

    &__paging {
      display: flex;
      justify-content: space-between;

      div:first-child {
        display: flex;
        align-items: center;
      }
    }
  }

  &__right {
    background-color: #dddddd;
    padding: 20px;
    height: 100%;
    overflow-y: auto;

    &__tags {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;

      .tag {
        border-radius: 2px;
        background-color: #5b5b5b;
        color: white;
        margin-right: 14px;
        margin-bottom: 16px;
        padding: 5px 12px;

        button {
          padding: 0;
          background-color: inherit;
          border: none;
          outline: none;

          i {
            color: white;
          }
        }
      }
    }
  }
}
